
flags={}
lang={"English","Spanish","French","Italian","German"}

function escribir_word()
	if keyboard==1 then 
		atraducir=teclado(1,"Palabra a traducir",25,atraducir)
	else 
		atraducir=os.osk("Palabra a traducir",atraducir,25,1,2)
	end
	if atraducir=="" then return end
	atraducir=atraducir:lower()
end

function traduciendo()

path="APP/Diccionario/Diccionario/"..lang[from].."/"..lang[to]..".txt"

traducido={}
pasadas=0

file=io.open(path,"r+")
if file!=nil  then
	lecturadic=file:read("*a")
	while lecturadic:find(atraducir)!=nil do
		a,b=lecturadic:find(atraducir)
		if lecturadic:sub(b+1,b+1)==";" then
			pasadas=pasadas+1
			if pasadas>10 then
				if os.message("Se han encontrado "..#traducido.." resultados. ¿Deseas buscar más?",1)!=1 then break end
			end
			lecturadic=lecturadic:sub(b+2,#lecturadic)
			a,b=lecturadic:find("\n")
			traducido[#traducido+1]=lecturadic:sub(1,a-1)
		else
			lecturadic=lecturadic:sub(b+2,#lecturadic)
		end
	end
end
	

file=nil
lecturadic=nil
a,b=nil
path=nil

collectgarbage("collect")

end


dicfill={}
dicfill[1]={x=9,y=7,w=149,h=32}
dicfill[2]={x=9,y=94,w=149,h=32}
dicfill[3]={x=363,y=96,w=89,h=30}
dicfill[4]={x=10,y=43,w=459,h=54}

cuadroup={x=10,y=133,w=16,h=11}
cuadrodown={x=10,y=255,w=16,h=11}


function diccionario_off()

from=1
to=2
atraducir=""
traducido={}
actual=1

liberar(25)

while true do
controls.read()
imgdic:blit(0,0)

flags[from]:blit(20,15)
flags[to]:blit(20,100)

screen.print(100,50,atraducir, 0.6,negro,0)



if #traducido>6 then
	if controls.press("cross") then
		if col(p,cuadroup) then actual=actual-1 end
		if col(p,cuadrodown) then actual=actual+1 end
	end
	if actual>#traducido then actual=1 end
	if actual<1 then actual=#traducido end
	
	draw.rect(10,133,16,130,gris)
	barra_dic:blit(10,133)
	señal:blit(10,143+88/#traducido*actual)
	limite=actual+5
	if actual+5>#traducido then
		limite=#traducido
	end
	for i=actual,limite do
		screen.print(100,145+i*20-20*actual,i..": "..traducido[i], 0.6,negro,0)
	end
	
else
	for i=1,#traducido do
		screen.print(100,125+i*20,i..": "..traducido[i], 0.6,negro,0)
	end
end


if controls.press("cross") then

	if col(p,dicfill[1]) then 
		from=from+1
		if from==to then from=from+1 end
	end
	if col(p,dicfill[2]) then 
		to=to+1
		if from==to then to=to+1 end
	end
	if col(p,dicfill[3]) and atraducir!="" then 
		traduciendo()
	end
	if col(p,dicfill[4]) then 
		escribir_word()
	end
end

if from>5 then from=1 end
if to>5 then to=1 end

puntero()
if controls.press("start") then sistema("Diccionario") end
screen.flip()
end
end

